> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List porting order requirements

> Returns a list of all requirements based on country/number type for this porting order.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-requirements.yml get /porting_orders/{id}/requirements
openapi: 3.1.0
info:
  title: Telnyx Porting Requirements API
  version: 2.0.0
  description: API for porting requirements, verification, and UK carriers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/{id}/requirements:
    get:
      tags:
        - Porting Orders
      summary: List porting order requirements
      description: >-
        Returns a list of all requirements based on country/number type for this
        porting order.
      operationId: ListPortingOrderRequirements
      parameters:
        - $ref: '#/components/parameters/PathPortingOrderID'
        - $ref: '#/components/parameters/porting-order_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/ListPortingOrderRequirements'
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable entity. Check message field in response for details.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const portingOrderRetrieveRequirementsResponse of
            client.portingOrders.retrieveRequirements(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            )) {
              console.log(portingOrderRetrieveRequirementsResponse.field_type);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.porting_orders.retrieve_requirements(
                id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            page = page.data[0]
            print(page.field_type)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.PortingOrders.GetRequirements(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.PortingOrderGetRequirementsParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.PortingOrderRetrieveRequirementsPage;

            import
            com.telnyx.sdk.models.portingorders.PortingOrderRetrieveRequirementsParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PortingOrderRetrieveRequirementsPage page = client.portingOrders().retrieveRequirements("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.porting_orders.retrieve_requirements("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(page)
        - lang: CLI
          source: |-
            telnyx porting-orders retrieve-requirements \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  parameters:
    PathPortingOrderID:
      name: id
      description: Porting Order id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    porting-order_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListPortingOrderRequirements:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/PortingOrderRequirementDetail'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    PortingOrderRequirementDetail:
      type: object
      properties:
        field_type:
          type: string
          description: Type of value expected on field_value field
          enum:
            - document
            - textual
          example: document
        field_value:
          type: string
          description: Identifies the document that satisfies this requirement
          example: 9787fb5f-cbe5-4de4-b765-3303774ee9fe
        requirement_type:
          type: object
          description: Identifies the requirement type that meets this requirement
          properties:
            acceptance_criteria:
              type: object
              description: The acceptance criteria for the requirement type
              example:
                acceptable_values: []
              additionalProperties: true
            description:
              type: string
              description: A description of the requirement type
              example: A copy of the latest phone bill from the current provider
            example:
              type: string
              description: An example of the requirement type
              example: Most recent phone bill
            id:
              type: string
              description: Identifies the requirement type
              example: 53970723-fbff-4f46-a975-f62be6c1a585
            name:
              type: string
              description: The name of the requirement type
              example: Latest Invoice
            type:
              type: string
              description: The type of the requirement type
              example: document
        requirement_status:
          type: string
          description: Status of the requirement
          example: approved
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: porting_requirement
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````